PHP Manual
Prev |  | Next

# ftp_put

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_put -- Uploads a file to the FTP server

## Description

bool ftp_put ( resource ftp_stream, string remote_file, string local_file, int mode [, int startpos] )

ftp_put() stores a local file on the FTP server.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

remote_file

  The remote file path.

local_file

  The local file path.

mode

  The transfer mode. Must be either `FTP_ASCII` or `FTP_BINARY`.

startpos

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. ftp_put() example
`<?php $file = 'somefile.txt'; $remote_file = 'readme.txt'; // set up basic connection $conn_id = ftp_connect($ftp_server); // login with username and password $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); // upload a file if (ftp_put($conn_id, $remote_file, $file, FTP_ASCII)) { echo "successfully uploaded $file\n"; } else { echo "There was a problem while uploading $file\n"; } // close the connection ftp_close($conn_id); ?>`

## ChangeLog

Version | Description
--- | ---
4.3.0 | startpos was added.

## See Also

ftp_pasv()
ftp_fput()
ftp_nb_fput()
ftp_nb_put()

Prev | Home | Next
ftp_pasv | Up | ftp_pwd